Bug 90802 - i18n: add locale data for Church Slavic [cu_RU]
Summary: i18n: add locale data for Church Slavic [cu_RU]
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Aleksandr Andreev
QA Contact:
URL:
Whiteboard: target:5.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-23 06:06 UTC by Aleksandr Andreev
Modified: 2016-05-07 13:57 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Patch adding Church Slavic locale data (25.59 KB, patch)
2015-04-23 06:06 UTC, Aleksandr Andreev
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksandr Andreev 2015-04-23 06:06:07 UTC
Created attachment 115026 [details]
Patch adding Church Slavic locale data

Church Slavic (ISO 639 code "cu") needs to be handled separately from Russian because it has a different character set, collation, etc. This patch adds the locale data for Church Slavic and makes Church Slavic appear in the list of languages.

Note that Microsoft has not given Church Slavic a Windows LCID, so I have set it to 9999 (that probably needs to be changed).
Comment 1 Markus Mohrhard 2015-04-25 13:31:31 UTC
We don't support attaching patches to bugzilla as they become lost and nobody checks for them.

Please use gerrit [1][2] (our patch review tool) and send a license statement [3] to the mailing list.


[1] gerrit.libreoffice.org
[2] https://wiki.documentfoundation.org/Development/gerrit
[3] https://wiki.documentfoundation.org/Development/Developers#Example_Code_Contributor_Statement

Thanks for your work.
Comment 2 Aleksandr Andreev 2015-04-26 12:23:14 UTC
Done:

https://gerrit.libreoffice.org/#/c/15540/

Thank you for your help.
Comment 3 Eike Rathke 2015-04-27 10:50:08 UTC
Please see my comments there.
Comment 4 Eike Rathke 2015-04-27 10:53:49 UTC
Reassigning to the one who is actually working on this, Aleksandr.
Comment 5 Matteo Casalin 2015-04-27 12:08:40 UTC
I can't say if it's worth reporting, and also I don't have any knowledge in this field, but I find this language to be called mainly "Church Slavonic" on the internet.
Comment 6 Eike Rathke 2015-04-28 10:45:23 UTC
Ethnologue names it "Slavonic, Old Church", which in the language listbox might make more sense, as users would search rather for Slavonic (or Slavic) than for Church), see https://www.ethnologue.com/language/chu
We usually use the Ethnologue names.

ISO 639-1/639-3 name it "Church Slavic", see http://www-01.sil.org/iso639-3/codes.asp?order=639_3&letter=c

However, there are some more names, see http://www-01.sil.org/iso639-3/documentation.asp?id=chu
Comment 7 Aleksandr Andreev 2015-04-28 11:10:10 UTC
Hello Eike and Matteo,

There is some confusion in the linguistics literature between "Old Church Slavonic" (AKA "Old Slavonic" or "Old Bulgarian") and "Church Slavonic" (AKA "Church Slavic").

Old Church Slavonic is an ancient, dead language -- the stuff of ancient manuscripts. "Church Slavonic", or "Church Slavic", (technically speaking, "New Church Slavic") is a liturgical language currently used in the Russian Orthodox Church and other religious communities. It is not a dead language. Millions of people (mostly in Russia, but also in Ukraine and the Balkans) use it in their worship on a regular basis; so there is a genuine need to type texts in this language.

The terms "Church Slavic" and "Church Slavonic" do seem to be used interchangeably in English. ISO 639-1 used "Church Slavic". The same is used by Unicode in CLDR:

http://st.unicode.org/cldr-apps/v#/cu_RU//

So it seems to make sense to me to use the same term. But I am fine with "Church Slavonic" or "Slavonic, Church" or "Slavic, Church", as well. Just please no "Old", because "Old Church Slavonic" is something else.
Comment 8 Commit Notification 2015-04-29 13:05:14 UTC
Aleksandr Andreev committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c9af632056fedcf9327ba23aafbe4b0300b1abae

tdf#90802 add Church Slavic [cu-RU] locale

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2015-04-29 13:49:37 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e41a948c5e065ec45d451c4da5db2893db854b8f

prepare to inherit from, adding replacement, tdf#90802 related

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2015-04-29 13:49:40 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4d045be758885a09daa4fe3324984174d6f7c4f2

inherit cu-RU format codes from ru-RU, tdf#90802 follow-up

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Aleksandr Andreev 2016-05-07 13:57:27 UTC
Available in 5.0.0.